Kerbal Space Program - Bug #5012

fairing placeability status doesn't update properly
05/16/2015 12:02 PM - BloodyRain2k

Status: Closed Start date: 05/16/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

The fairings are really nice to use except when you moved your current section in a bad way, like closing it up for creating the tip,
then sliding it down a bit and accidentally make it unplaceable (LMB text turns orange) you then slide it up a bit to get it placeable
again, but that won't happen.

Instead you have to reopen and close it before it notices that it is indeed placeable.

To reproduce what | mean:

- place something on a fairing base, like the Mk1 pod on the S2 fairing base

- move the cursor so that you would create a cone fairing around it with the cursor in the middle for closing it up while having the LMB
text still be green

- now slide the cursor still in the middle down until the LMB text turns orange, then back up again where it was still green and
therefore placeable just a moment ago

- see how it will NOT turn green and stay unplaceable, until you've move the cursor from the center until it extended again and
moved it then back to the center for closing, again

This isn't a big bug but a pretty annoying one.

History

#1 - 07/17/2016 09:29 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 08/10/2016 08:08 AM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http://bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
